/*
 * CFAF240320D032T.h
 *
 * Created: 2015-08-18 9:16:09 AM
 *  Author: max
 */ 

#ifndef __CFAF240320E022T_h__
#define __CFAF240320E022T_h__

#include "atmega2561.h"

// color definitions
#define	BLACK   0x0000
#define	BLUE    0x001F
#define	RED     0xF800
#define	GREEN   0x07E0
#define CYAN    0x07FF
#define MAGENTA 0xF81F
#define YELLOW  0xFFE0
#define WHITE   0xFFFF

void clearScreen(void);
void displayHome(void);
void displayInit(void);
void enterSleep (void);
void exitSleep (void);
void fillScreen(unsigned long color);
void setDisplayWindow(int x0, int y0, int x1, int y1);
void setInterface(void);
void writeColorBars(unsigned int width, unsigned int height);
//
// Customer Code starts here
//
void testDisplayInit(void);
void B1_Init(void);
void D_Init(void);
void H_Init(void);

#endif /* __CFAF240320D032T_h__ */
